API ReferencePublic booking
List cancellation reasons
List all active cancellation reasons that can be used when canceling the specified appointment.
Authorization
authorization AuthorizationBearer <token>
In: header
Path Parameters
appointment_id*string
Appointment ID
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/public/appointments/string/cancellation_reasons"{ "data": [ { "id": "cr_d025a96ac0c6", "name": "Schedule conflict", "object": "public_cancellation_reason", "sort_order": 0 }, { "id": "cr_e136b07bd1d7", "name": "Found another provider", "object": "public_cancellation_reason", "sort_order": 1 } ]}List available slots for a booking intent GET
Returns time slots available for this booking intent's configuration via a public interface (no authentication required). Only slots from publicly-visible schedules are returned.
List available time slots GET
List all available time slots for a service in a specific time range, for use on public booking interfaces.